=== debian/changelog ===
uwsgi (2.0.14+20161117-3+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * enforce php default document_root behaviour, to not show external files
    (CVE-2018-7490) (Closes: #891639)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Mar 2018 09:05:43 +0100

uwsgi (2.0.14+20161117-3+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Stack-based buffer overflow in uwsgi_expand_path function (CVE-2018-6758)
    (Closes: #889753)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 06 Feb 2018 22:31:14 +0100

uwsgi (2.0.14+20161117-3) unstable; urgency=medium

  * Add patch 1007 to fix build router_basicauth for GNU/kFreeBSD.
  * Fix refer to OpenJDK 8 (not 7) in short and long descriptions.
    Closes: Bug#845998. Thanks to Daniele Forsi.
  * Fix link plugins against non-default Lua.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Dec 2016 17:01:16 +0100

uwsgi (2.0.14+20161117-2) unstable; urgency=medium

  * Add patch cherry-picked upstream to fix build with OpenSSL 1.0.
  * Add patch 1006 to fix avoid informational-only Postgres flags.
    Closes: Bug#847207. Thanks to Raphael Hertzog and Christoph Berg.
  * Update supported archs for MongoDB plugin: Add mips mipsel.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Dec 2016 22:01:52 +0100

uwsgi (2.0.14+20161117-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot.

  [ Jonas Smedegaard ]
  * Revert OpenSSL 1.1 workaround: libapache-dev now libssl-agnostic.
    Closes: Bug#828590. Thanks to Kurt Roeckx and Apache2 maintainers.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Nov 2016 00:16:41 +0100

uwsgi (2.0.14+20161106-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump to version 4.
    + Add repacksuffix option.
    + Mention gbp in usage hint comment.
  * Fix have uwsgi-plugin-python3 provide virtual package httpd-uwsgi
    (not bogus httpd-uwsgi3).
  * Declare compliance with Debian Policy 3.9.8.
  * Update git-buildpackage config: Filter any .git* file.
  * Extract metadata from PNG files for copyright check.
    Tighten build-dependency on cdbs.
    Build-depend on libregexp-assemble-perl libimage-exiftool-perl
    libfont-ttf-perl.
  * Build-depend on licensecheck (not devscripts).
  * Build-depend on libmongoclient-dev (only fallback on now
    transitional mongodb-dev).
    Closes: bug#833055. Thanks to Andreas Beckmann, Raphael Hertzog,
    Apollon Oikonomopoulos and Giulio Paci.
  * Have CDBS track Github source.
    Document how to get upstream snapshots in README.source.
  * Update copyright info:
    + Extend coverage for main author to include current year.
  * Update patches:
    + Drop patches cherry-picked upstream.
    + Drop patch 1011 adopted upstream.
    + Unfuzz patches 1001 1002.
  * Use cdbs_expand_pythonruntime and cdbs_python2_defaultruntime (not
    deprecated cdbs_curpythonindepbinary or cdbs_python_binary).
    Tighten build-depdendency on cdbs.
    Closes: Bug#828785. Thanks to Santiago Vila.
  * Update supported archs for Mono/ASP.NET plugin: Add powerpc.
  * Update supported archs for MongoDB plugin:
    + Drop hurd-i386.
    + Add arm64 mips64el powerpc ppc64el s390x.
  * Fix unregister apache modules when removed (not only when purged).
    + Use dh-apache2.
      Build-depend explicitly on virtual dh-apache2 (as hinted by
      lintian).
      Suppress bogus lintian warnings (See bug#796285).
    Closes: Bug#839666. Thanks to Neil Williams.
  * Add patch 1005 to avoid deprecated std::auto_ptr.
  * Mark uwsgi-srch as Multi-Arch: foreign.
    Thanks to the Multi-Arch hinter.
  * Fix typo in README.Debian. Thanks to lintian.
  * Work around OpenSSL 1.0/1.1 build-dependency clash:
    + Disable SSL support in core.
    + Skip plugins php logcrypto router_radius sslrouter.
    + Drop binary package uwsgi-plugin-php.
    + Stop build-depend on libssl-dev php-dev libphp-embed.
    + Build-depend on libcurl4-gnutls-dev (not libcurl4-openssl-dev).
    See bug#828590.
  * Fix avoid "local" in uwsgi-core POSIX shell init.d script.
  * Use POSIX-style ANDed tests in uwsgi bash init.d scripts.
  * Suppress shellcheck concerns about source expansions and backslash
    expansion when read'ing.
  * Suppress bogus lintian override about requirement for versioned
    dependency on lsb-base: Needed version satisfied everywhere
    supported by Debian.
  * Fix avoid including binary files in uwsgi-src package.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Nov 2016 23:45:42 +0100

uwsgi (2.0.12-7) unstable; urgency=medium

  * (Build-)depend on php (and only php5 as fallback).
    Closes: Bug#821721, #821666. Thanks to Ondřej Surý.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 May 2016 11:18:40 +0200

uwsgi (2.0.12-6) unstable; urgency=medium

  * Re-add patch cherry-picked upstream to fix apache 2.4 integration
    with unix domain sockets (accidentally dropped in 2.0.12-1).
    Closes: bug#752783. Thanks to Alexandre Rossi.
  * Add patch cherry-picked from FreeBSD to fix failure to compile
    against apache 2.4.20.
    Closes: bug#822921. Thanks to Vincent Cheng.
  * Really fix avoid fail counting alternatives.
    Closes: Bug#818116. Thanks to Maik Zumstrull.
  * Update supported archs for Mono/ASP.NET plugin: Add arm64.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Apr 2016 04:35:10 +0200
