=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="dversionmangle=s/~dfsg.*//,repacksuffix=~dfsg" \
http://projects.unbit.it/downloads/uwsgi-(\d[\d\.]+)\.tar\.gz
