## uwsgi 2.0.14+20170111

=== debian/changelog ===
uwsgi (2.0.14+20170111-4ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining change:
    - Don't build mongo plugins on arm* and powerpc since
      mongo-cxx-legacy-plugin is not available for those architectures
      in Ubuntu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Feb 2017 01:16:06 -0500

uwsgi (2.0.14+20170111-4) unstable; urgency=medium

  * Fix have package uwsgi-plugin-php provide php.
    Closes: Bug#853891. Thanks to Georg Faerber.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Feb 2017 10:39:51 +0100

uwsgi (2.0.14+20170111-3) unstable; urgency=medium

  * Fix limit archs for MongoDB fallback build-dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Jan 2017 12:03:30 +0100

uwsgi (2.0.14+20170111-2) unstable; urgency=medium

  * Remove Janos Guljas. Thanks for your past work.
    Closes: Bug#849731.
  * Build-depend-indep (not build-depend) on shellcheck.
  * Explicitly avoid powerpc for mono: Underlying libgdiplus is missing.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Jan 2017 03:43:53 +0100

uwsgi (2.0.14+20170111-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot.
    + Fix compilation with OpenSSL 1.0.
    + Fix SystemError exception when async_args PyTuple is reused.
    + Fix several issues with zend_register_string_constant.
    + Backport new_argc/new_argv from 2.1 branch.
    + Backport CPython extension improvements from 2.1 branch.
    + Fix router_basicauth plugin building for GNU/kFreeBSD.
    + Use sys/xattr.h on linux.
    + Fix emperor_pg plugin to avoid informational-only Postgres flags.
    + Add spooler_decorator tests.
    + Fix invalid 'args' and 'kwargs' decoding in python3.
    + Fix return error code 22 in lazy_apps + master_mode.
    + Fix compilation with php 7.1.
    + Fix command line handling regression.

  [ Jonas Smedegaard ]
  * Modernize Vcs-Browser field: Use git subdir (not cgit).
  * Update copyright info: Extend coverage of Debian packaging.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Drop patch upstream cherry-picked and now applied.
  * Drop patchs 1006 1007 1008 adopted upstream.
  * Unfuzz patch 1002.
  * Update supported archs for V8 plugin: Add ppc64el.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jan 2017 21:08:26 +0100
