=== debian/control ===
Source: uwsgi
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends-Indep: shellcheck
Build-Depends:
 cdbs (>= 0.4.147~),
 licensecheck,
 libregexp-assemble-perl,
 libimage-exiftool-perl,
 libfont-ttf-perl,
 python,
 python3,
 debhelper,
 dh-buildinfo,
 dh-apache2 | apache2-dev,
 apache2-dev | apache2-threaded-dev,
 help2man,
 java-common,
 javahelper,
 libapr1-dev,
 libaprutil1-dev,
 libjansson-dev,
 libldap2-dev,
 liblua5.1-0-dev,
 liblua5.2-dev,
 libluajit-5.1-dev [amd64 armel armhf hurd-i386 i386 kfreebsd-i386 mips mipsel powerpc],
 libpcre3-dev,
 libperl-dev,
 libpq-dev,
 libcurl4-openssl-dev,
 libgloox-dev,
 libpam0g-dev,
 libsqlite3-dev,
 libxml2-dev,
 libyaml-dev,
 libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
 libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
 php-dev | php5-dev,
 libphp-embed | libphp5-embed,
 gccgo [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
 libonig-dev,
 libdb-dev,
 libqdbm-dev,
 libbz2-dev,
 libwrap0-dev,
 libgeoip-dev,
 libv8-dev [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel ppc64el],
 libxslt1-dev,
 libcap-dev [linux-any],
 libmatheval-dev,
 libjail-dev [kfreebsd-any],
 libkvm-dev [kfreebsd-any],
 glusterfs-common [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
 libmongoclient-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x] | mongodb-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x],
 libboost-thread-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 libboost-filesystem-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 librados-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
 libssl-dev,
 libacl1-dev,
 pkg-config,
 python-all-dev,
 python-greenlet-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 python-trollius [any],
 python3-all-dev,
 openjdk-8-jdk [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 mono-devel [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel  ppc64el s390x],
 cli-common-dev [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel  ppc64el s390x],
 ruby-all-dev | ruby-dev,
 ruby,
 uuid-dev
Standards-Version: 3.9.8
Homepage: http://projects.unbit.it/uwsgi/
Vcs-Git: https://anonscm.debian.org/git/pkg-uwsgi/uwsgi.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-uwsgi/uwsgi.git

Package: uwsgi
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: fast, self-healing application container server
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package depends on uWSGI core binary and installs:
  * init.d script for running uWSGI daemon(s) with options defined in custom
    user-created configuration files
  * infrastructure for running daemons (like common locations of communication
    sockets, logs)

Package: uwsgi-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, uwsgi-core (= ${binary:Version})
Suggests: uwsgi-plugins-all
Description: debugging symbols for uWSGI server and it's plugins
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the debug symbols for uWSGI core binary and plugins.
 Install this package if you need to debug such a program or if you need a
 useful backtrace of a crash.

Package: uwsgi-src
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Description: sources for uWSGI plugins
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the sources for uWSGI plugins.

Package: uwsgi-core
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: nginx-full | cherokee | libapache2-mod-proxy-uwsgi | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
 uwsgi-plugins-all, uwsgi-extra
Replaces: wsgi-plugin-admin,
 uwsgi-plugin-cache,
 uwsgi-plugin-carbon,
 uwsgi-plugin-cgi,
 uwsgi-plugin-echo,
 uwsgi-plugin-emperor-zeromq,
 uwsgi-plugin-fastrouter,
 uwsgi-plugin-http,
 uwsgi-plugin-logsocket,
 uwsgi-plugin-nagios,
 uwsgi-plugin-ping,
 uwsgi-plugin-router-static,
 uwsgi-plugin-rpc,
 uwsgi-plugin-rrdtool,
 uwsgi-plugin-rsyslog,
 uwsgi-plugin-signal,
 uwsgi-plugin-symcall,
 uwsgi-plugin-syslog,
 uwsgi-plugin-ugreen
Conflicts: wsgi-plugin-admin,
 uwsgi-plugin-cache,
 uwsgi-plugin-carbon,
 uwsgi-plugin-cgi,
 uwsgi-plugin-echo,
 uwsgi-plugin-emperor-zeromq,
 uwsgi-plugin-fastrouter,
 uwsgi-plugin-http,
 uwsgi-plugin-logsocket,
 uwsgi-plugin-nagios,
 uwsgi-plugin-ping,
 uwsgi-plugin-router-static,
 uwsgi-plugin-rpc,
 uwsgi-plugin-rrdtool,
 uwsgi-plugin-rsyslog,
 uwsgi-plugin-signal,
 uwsgi-plugin-symcall,
 uwsgi-plugin-syslog,
 uwsgi-plugin-ugreen
Description: fast, self-healing application container server (core)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package provides core uWSGI binary (built without any embedded
 plugins) and plugins with no or few dependencies:
 .
 ${uwsgi:corepluginlist}
 .
 forkptyrouter, systemd and tuntap are provided
 only on supported architectures.

Package: uwsgi-emperor
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version}),
 ${cdbs:Depends}
Description: fast, self-healing application container server (emperor scripts)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package depends on uWSGI core binary and installs:
  * init.d script for running uWSGI Emperor daemon with options defined in
    custom user-created configuration files
  * basic configuration for running uWSGI Emperor daemon

Package: uwsgi-plugins-all
Architecture: any
Depends: ${misc:Depends},
 uwsgi-infrastructure-plugins (= ${binary:Version}),
 uwsgi-app-integration-plugins (= ${binary:Version}),
 uwsgi-plugin-rbthreads (= ${binary:Version}),
 uwsgi-plugin-fiber (= ${binary:Version}),
 uwsgi-plugin-gevent-python (= ${binary:Version}) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 uwsgi-plugin-greenlet-python (= ${binary:Version}) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 uwsgi-plugin-asyncio-python (= ${binary:Version}) [any],
 uwsgi-plugin-asyncio-python3 (= ${binary:Version}),
 uwsgi-plugin-tornado-python (= ${binary:Version})
Description: all available plugins for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides all available plugins for uWSGI:
  * infrastructure
    - HTTP serving, RPC, etc.
  * application integration
    - PSGI, Rack, WSGI, etc.
  * coroutines
    - Fiber (${uwsgi:RubyDefaultkind})
    - gevent (Python 2)
    - greenlet (Python 2)
    - asyncio (Python 3, and Python 2 when Trollius is available)
    - Ruby native threads (${uwsgi:RubyDefaultkind})
    - tornado (Python 2)
 .
 Greenlet and gevent plugin is provided only on supported architectures.

Package: uwsgi-infrastructure-plugins
Architecture: any
Depends: ${misc:Depends},
 uwsgi-mongodb-plugins (= ${binary:Version}) [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x],
 uwsgi-plugin-alarm-curl (= ${binary:Version}),
 uwsgi-plugin-alarm-xmpp (= ${binary:Version}),
 uwsgi-plugin-curl-cron (= ${binary:Version}),
 uwsgi-plugin-emperor-pg (= ${binary:Version}),
 uwsgi-plugin-graylog2 (= ${binary:Version}),
 uwsgi-plugin-geoip (= ${binary:Version}),
 uwsgi-plugin-ldap (= ${binary:Version}),
 uwsgi-plugin-glusterfs (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
 uwsgi-plugin-rados (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
 uwsgi-plugin-router-access (= ${binary:Version}),
 uwsgi-plugin-sqlite3 (= ${binary:Version}),
 uwsgi-plugin-xslt (= ${binary:Version})
Description: infrastructure plugins for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides infrastructure plugins for uWSGI:
  * alarm cURL
  * alarm XMPP
  * cURL cron
  * PostgreSQL emperor
  * graylog2
  * GeoIP
  * LDAP
  * router access
  * SQLite 3
  * XSLT request
  * GlusterFS storage
  * Ceph/RADOS storage
  * MongoDB storage (GridFS), logger, Stats pusher and Emperor config
    backend
 .
 GlusterFS, Ceph/RADOS and MongoDB plugins are provided only on
 supported architectures.

Package: uwsgi-app-integration-plugins
Architecture: any
Depends: ${misc:Depends},
 uwsgi-plugin-jvm-openjdk-8 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
