## uwsgi 2.0.15

=== debian/changelog ===
uwsgi (2.0.15-2.1ubuntu3) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:25:36 +0000

uwsgi (2.0.15-2.1ubuntu2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:13:35 +0000

uwsgi (2.0.15-2.1ubuntu1) artful; urgency=medium

  * Restore accidentally dropped Ubuntu delta:
    - Don't build mongo plugins on arm* since mongo-cxx-legacy-plugin
      is not available for those architectures in Ubuntu

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 25 Jul 2017 22:11:59 +1200

uwsgi (2.0.15-2.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission.
  * Fix "ftbfs with multiple supported python3 versions":
    debian/rules: workaround cdbs issue #868752 by using only the default
    python flavors.
    Thanks to Niko Tyni and Scott Kitterman for their analyses.
    (Closes: #865224)

 -- gregor herrmann <gregoa@debian.org>  Tue, 18 Jul 2017 22:27:56 +0200

uwsgi (2.0.15-2) unstable; urgency=medium

  * Add patches cherry-picked upstream:
    + Fix drop-after options.
    + Fix PSGI application loading with recent Perl.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jun 2017 12:00:19 +0200

uwsgi (2.0.15-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release.
    + Fix writefifo race condition.
      https://github.com/unbit/uwsgi/issues/1434
    + Support passing authentication info in redislog plugin.
      https://github.com/unbit/uwsgi/issues/1498
    + Fix avoid closing $env->{'psgix.io'} on "PSGI cancel".
    + Fix segfault in python plugin decoding null string.
      https://github.com/unbit/uwsgi/issues/1476
    + Fix logger in python plugin.
      https://github.com/unbit/uwsgi/issues/1494
    + Fix integer overflow in logger module.
      https://github.com/unbit/uwsgi/issues/1489
    + Fix (hopefully) memory corruptions in python plugin.
      https://github.com/unbit/uwsgi/issues/1478
    + Fix sendfile-over-SSL API.
      https://github.com/unbit/uwsgi/issues/1490

  [ Jonas Smedegaard ]
  * Extend copyright coverage for packaging.
  * Update watch file: Adjust for recent upstream indirect download URL.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Apr 2017 11:33:44 +0200
