=== debian/control ===
--- 
+++ 
@@ -54,7 +54,7 @@
  libjail-dev [kfreebsd-any],
  libkvm-dev [kfreebsd-any],
  glusterfs-common [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
- libmongoclient-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x] | mongodb-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x],
+ libmongoclient-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x] | mongodb-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
  libboost-thread-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
  libboost-filesystem-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
  librados-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
@@ -254,7 +254,7 @@
 Package: uwsgi-infrastructure-plugins
 Architecture: any
 Depends: ${misc:Depends},
- uwsgi-mongodb-plugins (= ${binary:Version}) [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x],
+ uwsgi-mongodb-plugins (= ${binary:Version}) [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
  uwsgi-plugin-alarm-curl (= ${binary:Version}),
  uwsgi-plugin-alarm-xmpp (= ${binary:Version}),
  uwsgi-plugin-curl-cron (= ${binary:Version}),
@@ -296,4 +296,3 @@
 Package: uwsgi-app-integration-plugins
 Architecture: any
 Depends: ${misc:Depends},
- uwsgi-plugin-jvm-openjdk-8 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
