=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2010 Leonid Borisenko <leo.borisenko@gmail.com>
 # Copyright © 2012-2013 Janos Guljas <janos@debian.org>
-# Copyright © 2013-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2013-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for uWSGI
 #
 # This program is free software; you can redistribute it and/or modify
@@ -39,6 +39,7 @@
 
 # resolve supported architectures for arch-varying build-dependencies
 # (in maintainer mode only: uses network and messes with control file)
+# * explicitly avoid powerpc for mono: Underlying libgdiplus is missing
 ifneq (,$(DEB_MAINTAINER_MODE))
 $(shell sh debian/pkgarchs.sh glusterfs-common > debian/ARCHS_glusterfs)
 $(shell sh debian/pkgarchs.sh python-greenlet-dev > debian/ARCHS_greenlet)
@@ -47,7 +48,7 @@
 $(shell sh debian/pkgarchs.sh libv8-dev > debian/ARCHS_v8)
 $(shell sh debian/pkgarchs.sh luajit > debian/ARCHS_luajit)
 $(shell sh debian/pkgarchs.sh libmongoclient-dev > debian/ARCHS_mongodb)
-$(shell sh debian/pkgarchs.sh libmono-2.0-dev > debian/ARCHS_mono)
+$(shell sh debian/pkgarchs.sh libmono-2.0-dev | perl -pe 's/\bpowerpc\b//' > debian/ARCHS_mono)
 $(shell sh debian/pkgarchs.sh librados-dev > debian/ARCHS_rados)
 $(shell sh debian/pkgarchs.sh gccgo > debian/ARCHS_gccgo)
 endif
@@ -81,6 +82,7 @@
 
 PHP_VERSION = $(shell php-config --version)
 CDBS_DEPENDS_uwsgi-plugin-php = phpapi-$(shell php-config --phpapi)
+CDBS_PROVIDES_uwsgi-plugin-php = php
 DEB_DH_SHLIBDEPS_ARGS_uwsgi-plugin-php = -l$(shell php-config --include-dir) -- --ignore-missing-info
 # TODO: Simplify when php5 5.5.0+dfsg-13 / php7 is in oldstable
 CDBS_DEPENDS_uwsgi-plugin-php +=, $(strip $(or \
@@ -177,6 +179,3 @@
 		tuntap) \
 	$(if $(filter kfreebsd,$(DEB_HOST_ARCH_OS)),\
 		tuntap) \
-	$(if $(filter-out linux,$(DEB_HOST_ARCH_OS)),\
-		systemd_logger)
-UWSGI_SRCPLUGINS_SKIPINSTALL = $(UWSGI_SRCPLUGINS_ARCH_mongodb)
